<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package sixteen
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php 
if ( is_home() ) :
	//require_once(get_template_directory().'/switcher/switcher.php'); 
endif;
?>
<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'sixteen' ); ?></a>
	<div id="jumbosearch">
		<span class="fa fa-remove closeicon"></span>
		<div class="form">
			<?php get_search_form(); ?>
		</div>
	</div>	
	
	<div id="header-image">
	</div>
	
	<header id="masthead" class="site-header" role="banner" >
	<div class="layer">
		<div class="container">
			<div class="site-branding">
				<?php if ( get_theme_mod('sixteen_logo') != "" ) : ?>
				<div id="site-logo">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo get_theme_mod('sixteen_logo'); ?>"></a>
				</div>
				<?php endif; ?>
				<div id="text-title-desc">
				<h1 class="site-title title-font"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
				</div>
			</div>	
			
			<div id="social-icons">
			<?php get_template_part('social', 'sociocon'); ?>
			</div>
			
		</div>	

	</div><!--.layer-->	
	</header><!-- #masthead -->
	
		<div id="slickmenu"></div>
		<div class="nav-container container">
			<nav id="site-navigation" class="main-navigation" role="navigation">
				<?php // Get the Appropriate Walker First.
					 if (has_nav_menu(  'primary' ) && !get_theme_mod('sixteen_disable_nav_desc',true) ) :
							$walker = new Sixteen_Menu_With_Description;
						else : 
							$walker = new Sixteen_Menu_With_Icon;
					  endif;
					  //Display the Menu.							
					  wp_nav_menu( array( 'theme_location' => 'primary', 'walker' => $walker ) ); ?>
			</nav><!-- #site-navigation -->
		</div>
	
	<?php do_action('sixteen_before-mega-container'); ?>	
		
	<div class="mega-container first-mega-container">
	
		<?php do_action('sixteen_after-mega-container'); ?>
					
		<?php do_action('sixteen_before-content'); ?>
		
		<div id="content" class="site-content container">
		
		<?php if ( get_theme_mod('sixteen_topad') ) : ?>
			<div id="top-ad">
				<div class="adcontainer">
					<?php echo get_theme_mod('sixteen_topad'); ?>
				</div>
			</div>	
			<?php endif; ?>