<?php
/* 
**   Custom Modifcations in CSS depending on user settings.
*/

function sixteen_custom_css_mods() {

	echo "<style id='custom-css-mods'>";
	
	
	//If Menu Description is Disabled.
	if ( !has_nav_menu('primary') || get_theme_mod('sixteen_disable_nav_desc',true) ) :
		/*
			
			echo "#site-navigation ul li ul.sub-menu li ul.sub-menu, #site-navigation ul li ul.children li ul.children { top: 0px; }";
		*/
		echo "#site-navigation ul li a { padding: 20px 12px; }";
		echo "#site-navigation ul li ul.sub-menu, #site-navigation ul li ul.children { top: 60px; }";
		
	endif;
	
	//If Highlighting Nav active item is disabled
	if ( get_theme_mod('sixteen_disable_active_nav') ) :
		echo "#site-navigation ul .current_page_item > a, #site-navigation ul .current-menu-item > a, #site-navigation ul .current_page_ancestor > a { border:none; background: inherit; }"; 
	endif;
	
	//If Title and Desc is set to Show Below the Logo
	if (  get_theme_mod('sixteen_branding_below_logo') ) :
		
		echo "#masthead #text-title-desc { display: block; clear: both; } ";
		
	endif;
	
	//If Logo is Centered
	if ( get_theme_mod('sixteen_center_logo',true) ) :
		
		echo "#masthead #text-title-desc, #masthead #site-logo { float: none; } .site-branding { text-align: center; } #text-title-desc { display: inline-block; }";//New Additions Considering Header AD
		echo ".site-branding { float: none; }";
	
	else : //If not Center Aligned
		echo "#social-icons { float: right; padding-top: 20px; }";	
	endif;
	
	//Exception: When Logo is Centered, and Title Not Set to display in next line.
	if ( get_theme_mod('sixteen_center_logo') && !get_theme_mod('sixteen_branding_below_logo') ) :
		echo ".site-branding #text-title-desc { text-align: left; }";
	endif;
	
	//Exception: When Logo is centered, but there is no logo.
	if ( get_theme_mod('sixteen_center_logo') && !get_theme_mod('sixteen_logo') ) :
		echo ".site-branding #text-title-desc { text-align: center; }";
	endif;
	
	if  ( sixteen_is_enabled( 'slider' ) ) :
		echo "#site-navigation { border-bottom: none; }";
	endif;	
			
	
	if ( get_theme_mod('sixteen_title_font') ) :
		echo ".title-font, h1, h2, .section-title { font-family: ".get_theme_mod('sixteen_title_font')."; }";
	endif;
	
	if ( get_theme_mod('sixteen_body_font') ) :
		echo "body { font-family: ".get_theme_mod('sixteen_body_font')."; }";
	endif;
	
	if ( get_theme_mod('sixteen_site_titlecolor','#e10d0d') ) :
		echo "#masthead h1.site-title a { color: ".get_theme_mod('sixteen_site_titlecolor', '#ffffff')."; }";
	endif;
	
	
	if ( get_theme_mod('sixteen_header_desccolor','#777') ) :
		echo "#masthead h2.site-description { color: ".get_theme_mod('sixteen_header_desccolor','#ffffff')."; }";
	endif;
	
	if ( get_theme_mod('sixteen_custom_css') ) :
		echo  get_theme_mod('sixteen_custom_css');
	endif;
	
	
	if ( get_theme_mod('sixteen_hide_title_tagline') ) :
		echo "#masthead .site-branding #text-title-desc { display: none; }";
	endif;
	
	if ( get_theme_mod('sixteen_logo_resize') ) :
		$val = get_theme_mod('sixteen_logo_resize')/100;
		echo "#masthead #site-logo img { transform: scale(".$val."); -webkit-transform: scale(".$val."); -moz-transform: scale(".$val."); -ms-transform: scale(".$val."); }";
	endif;
	
	wp_reset_postdata();	
	if ( get_post_meta( get_the_ID(), 'hide-title', true ) ):
		echo "#primary-mono h1.entry-title { display: none; }";
	endif;	
		
	if ( get_theme_mod('sixteen_sidebar_loc') == 'left' ) :
		echo "#secondary { float: left; }#primary,#primary-mono { float: right; }";
	endif;	
	
	if ( get_theme_mod('sixteen_site_layout') == 'boxed' ) :
		echo "#page { max-width: 1170px; margin: 20px auto; }";
	endif;	
	
	if ( get_theme_mod('sixteen_logo_resize') ) :
		$val = get_theme_mod('sixteen_logo_resize')/100;
		echo "#masthead #site-logo img { transform: scale(".$val."); -webkit-transform: scale(".$val."); -moz-transform: scale(".$val."); -ms-transform: scale(".$val."); }";
	endif;
	
		
	//THE ACCENTE`
	/*
if ( get_theme_mod('sixteen_accent') ) :
		$a = get_theme_mod('sixteen_accent');
		?>
			a, a:hover {
				color: <?php echo $a; ?>;
			}
			.slider-wrapper .nivo-caption .slide-desc span,
			.nav-arrows a:hover {
				background-color: <?php echo sixteen_fade($a, 0.5); ?>;
			}
			.slider-wrapper .nivo-caption .slide-title,
			.sb-slider .sb-description {
				border-left-color: <?php echo $a; ?>;
			}
			.flex-images .item:after {
				background: <?php echo sixteen_fade($a, 0.8); ?>;
			}
			.section-title:after {
				background: <?php echo sixteen_fade( $a, 0.9 ); ?>;
			}
			.featured-2 .popular-articles .titledesc a,
			.grid .hvr-underline-from-center:before,
			#secondary h1.widget-title:after,
			#secondary .widget_tag_cloud .tagcloud a,
			#footer-sidebar .footer-column .widget_tag_cloud .tagcloud a,
			#primary-mono h1.entry-title:after
			 {
				background: <?php echo $a; ?>;
			}
			.nav-arrows a {
				box-shadow: 0px 0px 1px <?php echo $a; ?>;
			}
			.grid .featured-thumb {
				border-top-color: <?php echo $a; ?>;
			}
			.photos_2_column .out-thumb {
				border-bottom-color: <?php echo sixteen_fade( $a, 0.7 ); ?>;
			}
			.pagination ul > li > a:hover,
			#secondary .widget a:hover,
			#footer-sidebar .footer-column .widget a:hover,
			#primary-mono .entry-meta a:hover,
			#primary-mono .entry-footer a:hover ,
			#primary-mono .nav-links a:hover,
			#primary-mono .entry-content a:hover,
			#masthead h1.site-title a:hover{
				color: <?php echo $a; ?>;
			}
			#respond [class^="comment-form"] label {
				background: <?php echo $a; ?>;
				border-bottom-color: <?php echo $a; ?>;
			}
			#respond .form-submit input[type=submit] {
				color: <?php echo $a; ?>;
			}
	
	<?php
		$hex = get_theme_mod('sixteen_accent');
		$rgb = sixteen_hex2rgb($hex);
		$rgb = explode(',', $rgb);
		
		if ( $rgb[0] + $rgb[1] + $rgb[2] > 382 ) {
		    echo ".widget_tag_cloud .tagcloud a { color: #222 !important; }";
		} else {
		    echo  ".widget_tag_cloud .tagcloud a { color: #fff !important; }";
		}
		
	endif;	
*/

	echo "</style>";
}

add_action('wp_head', 'sixteen_custom_css_mods');